{ inputs, ... }: {
  flake.modules.nixos.keith = { lib, ... }: {
    hardware.enableRedistributableFirmware = true;
    imports = with inputs.self.modules.nixos; [
      amd-gpu
    ];

    boot.initrd.availableKernelModules = [ "nvme" "xhci_pci" "ahci" "usbhid" "usb_storage" "sd_mod" ];

    nixpkgs.hostPlatform = "x86_64-linux";
    hardware.cpu.amd.updateMicrocode = true;
  };
}
